View Issue Details

IDProjectCategoryView StatusLast Update
0003120Far ManagerEditorpublic2018-01-18 15:50
ReporterYegorAssigned ToDrKnS 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx64OSWindowsOS Version10
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0003120: Search and Replace in Editor fails if Replace pattern contains 0x0D + Search Pattern
Descriptionhttp://forum.farmanager.com/viewtopic.php?f=3&t=9925

Suppose you have a text file:
abcabc

Try to Search for
abc
Replace with
0x0Dabc

The replace operation "hangs" in infinite loop.
Additional InformationFar 3.0 build 4456 x86
TagsNo tags attached.
Build5107

Activities

DrKnS

2017-12-17 19:32

administrator   bugnote:0015906

5107

Yegor

2018-01-12 02:18

reporter   bugnote:0015946

Verified as fixed.

Issue History

Date Modified Username Field Change
2015-11-18 23:12 Yegor New Issue
2017-12-17 19:32 DrKnS Assigned To => DrKnS
2017-12-17 19:32 DrKnS Status new => feedback
2017-12-17 19:32 DrKnS Note Added: 0015906
2018-01-12 02:18 Yegor Note Added: 0015946
2018-01-12 02:18 Yegor Status feedback => assigned
2018-01-18 15:50 DrKnS Status assigned => closed
2018-01-18 15:50 DrKnS Resolution open => fixed
2018-01-18 15:50 DrKnS Fixed in Version => 3.0
2018-01-18 15:50 DrKnS Build => 5107